ALLEGRO_FONT(3)

NAME

ALLEGRO_FONT - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    typedef struct ALLEGRO_FONT ALLEGRO_FONT;

DESCRIPTION

A handle identifying any kind of font. Usually you will create it with al_load_font(3) which supports loading all kinds of TrueType fonts supported by the FreeType library. If you instead pass the filename of a bitmap file, it will be loaded with al_load_bitmap(3) and a font in Allegro's bitmap font format will be created from it with al_grab_font_from_bitmap(3).